if [ $# != 2 ]; then
    echo 1>&2 "usage: `basename $0` BOOTDIR TARGET"
    exit 1
fi

bootdir=$1
case $2 in
*zero)  arch=zero;  mode=zero  ;;
*shark) arch=shark; mode=shark ;;
*)      arch=amd64; mode=      ;;
esac
target=$(echo $2 | sed "s/$mode\$//")

set -ex

# Export variables needed for all builds
export ARCH_DATA_MODEL=64

# Export variables needed for Zero and Shark builds
if [ "$mode" != "" ]; then
    export ZERO_BUILD=true
    export ZERO_LIBARCH=amd64
    export ZERO_ENDIANNESS=little
    export ZERO_ARCHDEF=AMD64
    export ZERO_ARCHFLAG=-m64
    export LIBFFI_CFLAGS=$(pkg-config --cflags libffi)
    export LIBFFI_LIBS=$(pkg-config --libs libffi)
fi

# Build it
make -C hotspot/make \
  HOTSPOT_BUILD_JOBS=5 \
  ALT_SLASH_JAVA=$PWD/$bootdir \
    all_$target$mode copy_${target}_jdk export_${target}_jdk

set +x
echo "HotSpot is served: hotspot/build/linux/jdk-linux-$arch"
